Home

# Class goog.debug.Console

Create and install a log handler that logs to window.console if available

Instance Method Summary
| `addFilter(string loggerName)` Adds a logger name to be filtered.
| `addLogRecord(?goog.debug.LogRecord logRecord)` Adds a log record.
| `getFormatter() ⇒ !goog.debug.TextFormatter` Returns the text formatter used by this console
| `removeFilter(string loggerName)` Removes a logger name to be filtered.
| `setCapturing(boolean capturing)` Sets whether we are currently capturing logger output.

Static Method Summary
| `autoInstall()` Install the console and start capturing if "Debug=true" is in the page URL
| `show()` Show an alert with all of the captured debug information. Information is only captured if console is not available